Bug 73342 - missing some font aliases
Summary: missing some font aliases
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-03 09:04 UTC by Akira TAGOH
Modified: 2007-04-18 16:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-27 12:27:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample PostScript (208 bytes, text/plain)
2002-09-03 09:04 UTC, Akira TAGOH
no flags Details
fix patch (722 bytes, patch)
2002-09-03 09:05 UTC, Akira TAGOH
no flags Details | Diff
gziped sample file. it should be surely in UTF-8. (153 bytes, application/octet-stream)
2002-09-06 13:49 UTC, Akira TAGOH
no flags Details

Description Akira TAGOH 2002-09-03 09:04:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020826

Description of problem:
ghostscript can't handle Ryumin-Light and GothicBBB-Medium.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.preview attached PostScript
2.
3.
	

Actual Results:  broken strings are shown

Expected Results:  Japanese strings are shown correctly.

Additional info:

Comment 1 Akira TAGOH 2002-09-03 09:04:49 UTC
Created attachment 74624 [details]
sample PostScript

Comment 2 Akira TAGOH 2002-09-03 09:05:23 UTC
Created attachment 74625 [details]
fix patch

Comment 3 Tim Waugh 2002-09-03 09:59:23 UTC
How exactly can I verify this fix?  I tried: 
 
gs sample-ja.ps 
LANG=ja_JP sample-ja.ps 
 
and still got question marks after applying the patch.  I have ttfonts-ja 
installed.

Comment 4 Akira TAGOH 2002-09-03 11:47:42 UTC
that shouldn't be affected with the locale. To check whether applied a patch
correctly:
- Ryumin-Light and GothicBBB-Medium are enabled in
/usr/share/ghostscript/7.05/lib/CIDFnmap.CJK.
- There are Kochi-Mincho and Kochi-Gothic in
/usr/share/ghostscript/7.05/lib/CIDFnmap.Koc

I checked this fix in 7.05-20+my patch.
7.05-20 without patch showed broken strings. I've never gotten a question marks.


Comment 5 Tim Waugh 2002-09-06 13:46:53 UTC
Oh, my mistake, I had saved the sample PostScript incorrectly.  Now I see the 
original problem.

Comment 6 Akira TAGOH 2002-09-06 13:49:40 UTC
Created attachment 75244 [details]
gziped sample file. it should be surely in UTF-8.

Comment 7 Tim Waugh 2003-03-27 12:27:15 UTC
Fixed package is ghostscript-7.05-33.


Note You need to log in before you can comment on or make changes to this bug.